// Defines for SHFile from shellapi.h

// Operations:
#define FO_MOVE                      1 // Move file
#define FO_COPY                      2 // Copy file
#define FO_DELETE                    3 // Delete file
#define FO_RENAME                    4 // Rename file

// Flags:
#define FOF_MULTIDESTFILES           1 // The TO member specifies multiple
                                       // destinations (one for each source file)
                                       // rather than one destination directory
                                       // for all files
#define FOF_CONFIRMMOUSE             2 // Not implemented
#define FOF_SILENT                   4 // Don't create progress/report
#define FOF_RENAMEONCOLLISION        8 // Rename the file if one of the target name
                                       // already exists ("Copy #1 of ..." etc)
#define FOF_NOCONFIRMATION          16 // Don't prompt the user.
#define FOF_WANTMAPPINGHANDLE       32 // Fill in SHFILEOPSTRUCT.hNameMappings
                                       // Must be freed using SHFreeNameMappings
#define FOF_ALLOWUNDO               64 // Move file to recycle bin if possible
#define FOF_FILESONLY              128 // On *.*, do only files
#define FOF_SIMPLEPROGRESS         256 // Don't show names of files
#define FOF_NOCONFIRMMKDIR         512 // Don't confirm making any needed dirs
#define FOF_NOERRORUI             1024 // Don't put up error UI
#define FOF_NOCOPYSECURITYATTRIBS 2048 // Dont copy NT file Security Attributes
